#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Devel
%define		pnam	Size
Summary:	Devel::Size - finding the memory usage of Perl variables
Summary(pl.UTF-8):	Devel::Size - określanie zużycia pamięci przez zmienne Perla
Name:		perl-Devel-Size
Version:	0.79
Release:	1
# same as perl itself (as stated in COPYRIGHT section of pod)
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d171491fecb093336644a5244f089b70
URL:		http://search.cpan.org/dist/Devel-Size/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module figures out the real sizes of Perl variables in bytes.
Call functions with a reference to the variable you want the size
of.  If the variable is a plain scalar it returns the size of
the scalar.  If the variable is a hash or an array, use a reference
when calling.

%description -l pl.UTF-8
Ten moduł oblicza prawdziwe rozmiary zmiennych perlowych w bajtach.
Wystarczy wywołać funkcję z referencją do zmiennej, której rozmiar
chce się poznać. Jeśli zmienna jest skalarem, zwraca rozmiar skalara.
Jeśli zmienna jest haszem lub tablicą, należy użyć referencji przy
wywołaniu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES
%{perl_vendorarch}/Devel/Size.pm
%dir %{perl_vendorarch}/auto/Devel/Size
%{perl_vendorarch}/auto/Devel/Size/Size.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Devel/Size/Size.so
%{_mandir}/man3/*
%changelog
* Mon Jun 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Devel-Size.git;a=log;h=master

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 23ac783
- up to 0.79

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 34aab85
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> eaa0fdf
- up to 0.77

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 0138212
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 8fb7f94
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c660655
- release 2

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> 5606bf4
- up to 0.71

* Sun Mar 02 2008 radek <radek@pld-linux.org> fe623f1
- release 1

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> b3674dc
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 5ba5645
- generic URL

* Sun Dec 23 2007 zbyniu <zbyniu@pld-linux.org> 7d8ac60
- up to 0.69

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 98f380d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c4bcc59
- converted to UTF-8

* Sun Jan 22 2006 Maciej Pijanka <agaran@pld-linux.org> 8492d92
- up to 0.64 rel 0.1 licence is GPL v1 or Artistic (see COPYING in pod/man)

* Wed Dec 01 2004 radek <radek@pld-linux.org> 3514d74
- autoupdated to 0.59

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> a79ad1f
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> e195fa4
- spelling fix

* Fri May 07 2004 ankry <ankry@pld-linux.org> 97fc4b4
- rel. 2

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 676d84a
- shorter summary

* Mon Apr 12 2004 Jakub Bogusz <qboosh@pld-linux.org> a254752
- pl, doc, missing dir, License changed to unknown (I have't found any info)

